import request from '@/utils/request'

// 查询安全检查隐患表列表
export function listCheckRecordDetails(query) {
  return request({
    url: '/laboratory/checkRecordDetails/list',
    method: 'get',
    params: query
  })
}

// 查询安全检查隐患表详细
export function getCheckRecordDetails(id) {
  return request({
    url: '/laboratory/checkRecordDetails/' + id,
    method: 'get'
  })
}

// 新增安全检查隐患表
export function addCheckRecordDetails(data) {
  return request({
    url: '/laboratory/checkRecordDetails',
    method: 'post',
    data: data
  })
}

// 修改安全检查隐患表
export function updateCheckRecordDetails(data) {
  return request({
    url: '/laboratory/checkRecordDetails',
    method: 'put',
    data: data
  })
}

// 删除安全检查隐患表
export function delCheckRecordDetails(id) {
  return request({
    url: '/laboratory/checkRecordDetails/' + id,
    method: 'delete'
  })
}
